Package com.clickhouse.jdbc

## Class JdbcWrapper

- java.lang.Object
- - com.clickhouse.jdbc.JdbcWrapper

Direct Known Subclasses:
  `AbstractResultSet`, `ClickHouseConnectionImpl`, `ClickHouseDatabaseMetaData`, `ClickHouseDataSource`, `ClickHouseParameterMetaData`, `ClickHouseResultSetMetaData`, `ClickHouseStatementImpl`

    public abstract class JdbcWrapper
    extends Object

### Constructor Summary

Constructors
`JdbcWrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isWrapperFor​(Class<?> iface)`
`<T> T` `unwrap​(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcWrapper

    public JdbcWrapper()

### Method Detail

#### unwrap

    public <T> T unwrap​(Class<T> iface)
                 throws SQLException

Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor​(Class<?> iface)
                         throws SQLException

Throws:
  `SQLException`